Z-Wave - Gladys v4 - Windows WSL

Tu as quoi comme modèle de dongle zwave ?

Celui recommandé dans la Doc : Aeotec Z-Stick GEN5

Mais j’ai pas eu de soucis avec lorsque j’ai utilisé Gladys sur le Raspberry Pi c’est vraiment que en mode dev et sur Windows ça a déjà fonctionné donc c’est probablement pas lié au dongle sauf si sur Linux c’est différent …

J’ai ce dongle la aussi pas de problème.

Dans la doc on conseil rien, dans la liste du matériel compatible il y’a tous ce qui a été testé physiquement par la communauté.

Je penche plus pour un soucis de lock sur le périphérique usb. L’accès au dongle doit être exclusif, j’ai été emmerdé à cause de ça.

Connectez votre clé USB Z-Wave à votre Raspberry Pi#

Gladys Assistant a été testé avec la clé Aeotec Z-Stick GEN5 et la clé Z-Wave.me.

Pour moi c’est un conseil :innocent: même si en effet c’est pas dit textuellement on vous recommande de prendre ce dongle.

Ok … mais comment expliquer que sur Windows ça a eu fonctionner et sur Linux semble impossible … ?

Cool du coup c’est quoi la solution miracle ? Ou comment faire pour que l’accès au dongle soit exclusif ta une idée ? Car là je bloque.

Demain ou lundi je vais quand même essayer sur Mac j’ai quelques Mac au taf mais je peux pas compter dessus à vie :joy:

J’ai vue que tu as fait une modification sur Git … Ça viens peux-etre de la ?

Oui visiblement c’est un de mes derniers fixs qui casse la météo, quelqu’un a remarqué aussi le souci sur le forum (Nouvelle image Docker dev avec fix + nouvelle fonctionnalités - #2 by Jean34), my bad :slight_smile:

C’est pas en prod après, notre flow github c’est un “master” qui est la branche ou toutes les branches sont mergées, on publie régulièrement des images docker tagguée “dev” qui pointe vers le dernier commit de master.

Et régulièrement, après testing, on fait un tag git qui va déclencher un build docker à un commit donné sur master.

Je te confirme le fonctionnement de la météo sur la nouvelle version :slight_smile:

1 Like

Hello, Aurais-tu une idée de la cause de mon erreur par hasard ? :
POST http://localhost:1443/api/v1/service/zwave/connect{"status":404,"code":"NOT_FOUND","message":"Route /v1/service/zwave/connect not found"}

ça me parait bon, après si ton service Z-wave n’est pas démarré je crois pas que ça puisse fonctionner

Tout va bien niveau Z-Wave ou c’était toujours cassé ?

Après ça m’étonne quand même ton histoire, sur linux OpenZwave ça marche quand même normalement, même si c’est pas toujours très stable c’est censé fonctionner.

Si tu regarde le Dockerfile de Gladys:

Il n’y a pas non plus beaucoup d’étapes pour mettre en place open-zwave

Comment as tu installé Gladys sur ton linux?

Installation de node js 14 : (v14.16.1)
sudo apt update
curl -sL https://deb.nodesource.com/setup_14.x | sudo bash -
sudo apt -y install nodejs

Installation de sqllite3 :
sudo apt install sqlite3

Installation openSSL :

sudo apt-get install libssl-dev
sudo apt install build-essential checkinstall zlib1g-dev -y

Installation de openzwave :

sudo apt install openzwave

Ensuite j’ai télécharger libopenzwave1.5-dev depuis : Ubuntu – Package Download Selection -- libopenzwave1.5-dev_1.5+ds-6build1_amd64.deb et j’ai ajouter une ligne au fichier /etc/apt/sources.list :

deb http://*cz.archive.ubuntu.com/ubuntu* focal main multiverse

Ensuite j’ai suivi la doc :slightly_smiling_face: :

git clone https://github.com/GladysAssistant/Gladys gladys && cd gladys
cd server
npm install
npm run db-migrate:dev
npm start

ouverture d’un nouvel onglet dans le terminal
cd front
npm install
npm start

Ensuite j’ai rencontrer le problème lorsque j’ajoutais la clé le serveur pétais et j’ai pu le résoudre en suivant la procédure qui se trouve dans un README-ubuntu.md …

Y’a pas de Deb recent openzwave. On est sur la 1.6

je viens d’installer libopenzwave1.6_1.6.1545+ds-2_amd64.deb fonctionne pas mieux :man_shrugging:

git clone https://github.com/OpenZWave/open-zwave.git
cd open-zwave
git checkout 5d18bbfb21d8cdc61ee6baae6f478c963297dfc5
make
sudo make install
sudo sh -c "echo '/usr/local/lib64' > /etc/ld.so.conf.d/openzwave.conf"
sudo ldconfig
cd && rm -rf open-zwave

Ensuite assure toi que les packages npm sont correctement installé et que gladys démarre sans erreur.

Puis configure le service zwave dans Gladys car l’erreur à mon avis n’est pas lié à ton dongle mais à Gladys , je vois pas pourquoi tu aurrait une 404 sur cette route

De quel fichier parles tu ?

c’est fait ça change rien malheureusement.

Oui je pense aussi que c’est lié à gladys pour le coup je sais pas si une modification récente pourrais avoir cela comme impact

Tu l’as quand cette erreur ?

De quel erreur tu parle ?

celle ci


@pierre-gilles si t’as moyen d’enlever cette limite ou de la baisser car quelque fois faut être inventif :sweat:

Ah, quand je clique sur connecter dans la configuration